# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "omniauth/freeagent/oauth2/version"

Gem::Specification.new do |spec|
  spec.name = "omniauth-freeagent-oauth2"
  spec.version = OmniAuth::FreeAgent::OAuth2::VERSION
  spec.authors = ["FreeAgent"]
  spec.email   = ["opensource@freeagent.com"]
  spec.licenses = ["Apache-2.0"]

  spec.summary = "FreeAgent authentication strategy for OmniAuth"
  spec.homepage = "https://github.com/fac/omniauth-freeagent-oauth2"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "omniauth", ">= 1.9.0"
  spec.add_dependency "omniauth-oauth2", ">= 1.6.0"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.80"
end
